# -*- coding: utf-8 -*- 
# @Time    : 04/14/2024 
# @Author  : nzooherd 
# @File    : hash_util.py 
# @Software: Visual Studio Code

import hashlib

def hash8B(string):
    hash_object = hashlib.md5(string.encode())  # 使用MD5哈希函数
    hex_digest = hash_object.hexdigest()  # 获取十六进制哈希值
    # 取前8位并转换为整数，然后转换为十六进制字符串
    truncated_hash = hex(int(hex_digest, 16) % (16 ** 8))[2:]
    return truncated_hash

